package com.upyuns.platform.rs.datacenter.biz;

import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.upyuns.platform.rs.datacenter.entity.RscpAreaInfo;
import com.upyuns.platform.rs.datacenter.entity.RscpImagePrice;
import com.upyuns.platform.rs.datacenter.mapper.RscpAreaInfoMapper;
import com.upyuns.platform.rs.datacenter.mapper.RscpImagePriceMapper;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class RscpAreaInfoBiz extends BaseBiz<RscpAreaInfoMapper, RscpAreaInfo> {

    public RscpAreaInfo queryAreaInfoByAreaId(String areaCode) {
        return mapper.queryAreaInfoByAreaCode(areaCode);
    }

    public List<RscpAreaInfo> getDirectSubAreas(String parentId) {
        return mapper.getDirectSubAreas(parentId);
    }

}
